=== modified file 'command_classes.py'
--- command_classes.py	2009-03-11 06:44:59 +0000
+++ command_classes.py	2009-03-25 18:47:57 +0000
@@ -521,20 +521,20 @@
     encoding_type = 'exact'
     takes_args = ['file']
     takes_options = [
-        RegistryOption.from_kwargs('new', 'blah', value_switches=True,
-            enum_switch=False,
+        RegistryOption.from_kwargs('direction', 'Direction of comparison.',
+            value_switches=True, enum_switch=False,
             other='Compare OTHER against common base.',
             this='Compare THIS against common base.')]
 
-    def run(self, file, new='other'):
+    def run(self, file, direction='other'):
         from bzrlib.diff import internal_diff
         from bzrlib.plugins.bzrtools.colordiff import DiffWriter
         dw = DiffWriter(self.outf, check_style=False, color='auto')
         old_path = file + '.BASE'
-        if new == 'other':
-            new_path = file + '.OTHER'
-        else:
-            new_path = file + '.THIS'
+        new_path_extension = {
+            'other': '.OTHER',
+            'this': '.THIS'}[direction]
+        new_path = file + new_path_extension
         oldlines = open(old_path).readlines()
         newlines = open(new_path).readlines()
         internal_diff(old_path, oldlines, new_path, newlines, dw)

